Obsah

# Podporovaný datový model VBA

Jestliže je aktivní podpora pro VBA Office, LibreOffice Basic přidá následující funkčnost.

Tyto vlastnosti a metody objektů dostupné pouze pro LibreOffice VBA jsou povoleny, pokud:

- Modul Basicu je nastaven se speciálním atributem VBAModule.

- Před první makro modulu VBA Basicu je umístěn příkaz pro kompilátor Option VBASupport 1.

Několik objektů VBA je podporováno pro soubory aplikací Excel, Powerpoint a Word. Vlastnosti a metody, které jsou k dispozici pro objekty VBA, jsou omezené.

Na této stránce nápovědy je ještě potřeba zapracovat, aby byla úplná a přesná. Připojte se k projektu LibreOffice a pomozte nám chybějící informace dopsat. Podívejte se na webové stránky o psaní nápovědy.

## Obecné objekty

## Objekty, vlastnosti a metody pro Excel

Objekty VBA podporované programem Excel
Application Columns | Range Rows | Workbook Worksheet

### Aplikace

Vlastnosti

- ActiveCell : Range

- ActiveSheet : Worksheet

- ActiveWorkbook : Workbook

- DefaultFilePath : String

- DisplayAlerts : Boolean

- LibraryPath : String

- Name : String

- PathSeparator : String - viz funkci GetPathSeparator

Metody

- Quit

### Sloupce

Properties

- Address : String

Methods

- Item(ndx : Variant) : Column

### Range

Properties

Methods

- ExportAsFixedFormat(Optional Type : Integer = xlTypePDF, Optional FileName : String, Optional Quality : Integer = xlQualityStandard, Optional IncludeDocProperties : Boolean, Optional IgnorePrintAreas = Boolean, Optional OpenAfterPublish : Boolean)

### Rows

Properties

Methods

### Workbook

Properties

Methods

- ExportAsFixedFormat(Optional Type : Integer = xlTypePDF, Optional FileName : String, Optional Quality : Integer = xlQualityStandard, Optional IncludeDocProperties : Boolean, Optional IgnorePrintAreas = Boolean, Optional OpenAfterPublish : Boolean)

### Worksheet

Properties

Methods

- ExportAsFixedFormat(Optional Type : Integer = xlTypePDF, Optional FileName : String, Optional Quality : Integer = xlQualityStandard, Optional IncludeDocProperties : Boolean, Optional IgnorePrintAreas = Boolean, Optional OpenAfterPublish : Boolean)

## PowerPoint Objects, Properties and Methods

## Word Objects, Properties and Methods

Související témata

Podpora VBA v LibreOffice

Vlastnosti VBA

Funkce a příkazy pouze pro VBA

Příkaz Option VBASupport